events.listen('recipes', function (e) {

//Redstone Ingot
e.custom(
    {"type":"mekanism:metallurgic_infusing","itemInput":{"ingredient":{"tag":"forge:ingots/copper"}},"infusionInput":{"amount":120,"tag":"mekanism:redstone"},"output":{"item":"extendedcrafting:redstone_ingot"}}
)
//Redstone Ingot Block
e.custom(
    {"type":"mekanism:metallurgic_infusing","itemInput":{"ingredient":{"tag":"forge:storage_blocks/copper"}},"infusionInput":{"amount":720,"tag":"mekanism:redstone"},"output":{"item":"extendedcrafting:redstone_ingot_block"}}
)
  //Steel Casing
  e.remove({ id: 'mekanism:steel_casing' })
  e.shaped(item.of('mekanism:steel_casing', 1), ['ABA','CDC','ABA'], {
    A: 'immersiveengineering:plate_steel',
    B: 'immersiveengineering:component_steel',
    C: 'immersiveengineering:wirecoil_structure_steel',
    D: 'industrialforegoing:machine_frame_supreme'
  })
  e.custom({
    "type": "mekanism:combining",
    "mainInput": { "amount": 1, "ingredient": { "item": "thermal:machine_frame" } },
    "extraInput": { "ingredient": { "item": "mekanism:block_steel" } },
    "output": { "item": "mekanism:steel_casing" }
  })

  //Metalurgic Infuser
  e.remove({ id: 'mekanism:metallurgic_infuser' })
  e.shaped(item.of('mekanism:metallurgic_infuser', 1), ['ABA','CDC','ABA'], {
    A: '#forge:ingots/osmium',
    B: 'minecraft:furnace',
    C: '#forge:dusts/redstone',
    D: 'mekanism:steel_casing'
  })
})